"""Simple robot with socket's timeout

This file is a part of Bookmarks database and Internet robot.

"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2000-2014 PhiloSoft Design"
__license__ = "GNU GPL"

__all__ = ['robot_urllib_to']


import socket
socket.setdefaulttimeout(900)

from .bkmk_rurllib import robot_urllib, get_error


class robot_urllib_to(robot_urllib):
   def check_url(self, bookmark):
      try:
         return robot_urllib.check_url(self, bookmark)
      except socket.error, msg:
         bookmark.error = get_error(msg)
         self.log(bookmark.error)

      return 1
